Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.config.internal
Class ParsingUtils

    java.lang.Object
      org.eclipse.gemini.blueprint.blueprint.config.internal.ParsingUtils

    public class ParsingUtils

extends Object

Utility parsing class.

Author:
  Costin Leau

Field Summary
`static String` | `BLUEPRINT_GENERATED_NAME_PREFIX`
`static String` | `BLUEPRINT_MARKER_NAME`
`static String` | `ID_ATTRIBUTE` Constant for the id attribute

Constructor Summary
`ParsingUtils()`

Method Summary
`static void` | `checkReservedName(String name, Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`static org.springframework.beans.factory.config.BeanDefinitionHolder` | `decorateAndRegister(Element ele, org.springframework.beans.factory.config.BeanDefinitionHolder bdHolder, org.springframework.beans.factory.xml.ParserContext parserContext)`
`static org.springframework.beans.factory.config.BeanDefinitionHolder` | `decorateBeanDefinitionIfRequired(Element ele, org.springframework.beans.factory.config.BeanDefinitionHolder originalDefinition, org.springframework.beans.factory.xml.ParserContext parserContext)`
`static org.springframework.beans.factory.config.BeanDefinitionHolder` | `decorateIfRequired(Node node, org.springframework.beans.factory.config.BeanDefinitionHolder originalDef, org.springframework.beans.factory.xml.ParserContext parserContext)`
`static String` | `generateBlueprintBeanName(org.springframework.beans.factory.config.BeanDefinition definition, org.springframework.beans.factory.support.BeanDefinitionRegistry registry, boolean isInnerBean)` Generates a Blueprint specific bean name.
`static boolean` | `isReservedName(String name, Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`static boolean` | `isRFC124Namespace(Node node)`
`static boolean` | `isRFC124Namespace(String namespaceURI)`
`static org.springframework.beans.factory.config.BeanDefinitionHolder` | `register(Element ele, org.springframework.beans.factory.config.BeanDefinitionHolder bdHolder, org.springframework.beans.factory.xml.ParserContext parserContext)`
`static String` | `resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext, boolean shouldGenerateId, boolean shouldGenerateIdAsFallback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLUEPRINT_GENERATED_NAME_PREFIX

    public static final String BLUEPRINT_GENERATED_NAME_PREFIX

See Also:
  Constant Field Values

### ID_ATTRIBUTE

    public static final String ID_ATTRIBUTE

  Constant for the id attribute

  See Also:
    Constant Field Values

### BLUEPRINT_MARKER_NAME

    public static final String BLUEPRINT_MARKER_NAME

See Also:
  Constant Field Values

Constructor Detail

### ParsingUtils

    public ParsingUtils()

Method Detail

### decorateAndRegister

    public static org.springframework.beans.factory.config.BeanDefinitionHolder decorateAndRegister(Element ele,
                                                                                                    org.springframework.beans.factory.config.BeanDefinitionHolder bdHolder,
                                                                                                    org.springframework.beans.factory.xml.ParserContext parserContext)

### register

    public static org.springframework.beans.factory.config.BeanDefinitionHolder register(Element ele,
                                                                                         org.springframework.beans.factory.config.BeanDefinitionHolder bdHolder,
                                                                                         org.springframework.beans.factory.xml.ParserContext parserContext)

### decorateBeanDefinitionIfRequired

    public static org.springframework.beans.factory.config.BeanDefinitionHolder decorateBeanDefinitionIfRequired(Element ele,
                                                                                                                 org.springframework.beans.factory.config.BeanDefinitionHolder originalDefinition,
                                                                                                                 org.springframework.beans.factory.xml.ParserContext parserContext)

### decorateIfRequired

    public static org.springframework.beans.factory.config.BeanDefinitionHolder decorateIfRequired(Node node,
                                                                                                   org.springframework.beans.factory.config.BeanDefinitionHolder originalDef,
                                                                                                   org.springframework.beans.factory.xml.ParserContext parserContext)

### isRFC124Namespace

    public static boolean isRFC124Namespace(Node node)

### isRFC124Namespace

    public static boolean isRFC124Namespace(String namespaceURI)

### generateBlueprintBeanName

    public static String generateBlueprintBeanName(org.springframework.beans.factory.config.BeanDefinition definition,
                                                   org.springframework.beans.factory.support.BeanDefinitionRegistry registry,
                                                   boolean isInnerBean)
                                            throws org.springframework.beans.factory.BeanDefinitionStoreException

  Generates a Blueprint specific bean name.

  Parameters:
    `definition` -
    `registry` -
    `isInnerBean` -
  Returns:
  Throws:
    `org.springframework.beans.factory.BeanDefinitionStoreException`

### resolveId

    public static String resolveId(Element element,
                                   org.springframework.beans.factory.support.AbstractBeanDefinition definition,
                                   org.springframework.beans.factory.xml.ParserContext parserContext,
                                   boolean shouldGenerateId,
                                   boolean shouldGenerateIdAsFallback)
                            throws org.springframework.beans.factory.BeanDefinitionStoreException

  Throws:
    `org.springframework.beans.factory.BeanDefinitionStoreException`

### isReservedName

    public static boolean isReservedName(String name,
                                         Element element,
                                         org.springframework.beans.factory.xml.ParserContext parserContext)

### checkReservedName

    public static void checkReservedName(String name,
                                         Element element,
                                         org.springframework.beans.factory.xml.ParserContext parserContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.